import mtoa.ui.ae.templates as templates
from mtoa.ui.ae.templates import AttributeTemplate

class OrnatrixHairTranslatorTemplate( templates.ShapeTranslatorTemplate ):
    def setup(self):
        self.addControl( "primaryVisibility" )
        self.addControl( "castsShadows" )
        self.addSeparator()
        self.commonShapeAttributes()
        self.addSeparator()
        self.addControl( "aiBasis", label = "Curve Basis" )
        self.addControl( "aiMode", label = "Curve Mode" )
        self.addSeparator()
        self.addControl( "aiMinPixelWidth" )
        self.addControl( "aiUserOptions", label = "User Options" )

templates.registerTranslatorUI( OrnatrixHairTranslatorTemplate, "HairShape", "Ornatrix" )
