from Ornatrix.QtImport import *


class ControlMenu(QtWidgets.QWidget):

	def __init__(self, container, parent=None):
		super(ControlMenu, self).__init__()
		self.container = container

		hbox = QtWidgets.QHBoxLayout()

		self.graphButton = QtWidgets.QPushButton('Graph')
		self.graphButton.setCheckable(True)
		self.graphButton.clicked.connect(self.toggleGraph)
		hbox.addWidget(self.graphButton)

		self.setLayout(hbox)

		# self.layout().sizePolicy().setVerticalPolicy(QtWidgets.QSizePolicy.Minimum)


	def toggleGraph(self):
		open = self.graphButton.isChecked()
		self.container.editor.displayGraph(open)

	def update(self, force):
		pass
