from Ornatrix import Global as oxgg

import Ornatrix.MayaInitializer as oxg

from MayaBridge import *
import maya.cmds as mc

oxg.checkPluginStatus()

bridge = MayaBridge()

def insertNode(type):
	selection = bridge.getSelectedOxNodes()
	if len(selection) > 1:
		mc.warning("Please select a single ornatrix node")
	if len(selection) == 0:
		mc.warning("Please select an Ornatrix node")
	newNode = bridge.createNode(type)

	nodeAbove = bridge.getNodeAbove(selection[0])
	bridge.connectNode(selection[0], newNode)
	bridge.connectNode(newNode, nodeAbove)


def openGraph():
	oxg.createOrnatrixEditor()
