import ephere_moov as moov
import ephere_ornatrix as ox

_solver = None

# Add all new parameter types for testing
MoovDefaultParameters = ( ( 'IntTestParam', 'int', 1, 1, 3 ),
						( 'FloatTestParam', 'float', 1.0, 0.0, 3.0 ),
						( 'BoolTestParam', 'bool', False ),
						( 'StringTestParam', 'string', 'test' ),
						( 'EnumTestParam', 'enum', 2, 'Value0', 'Value1', 'Value2' ),
						( 'DataGeneratorTestParam', 'DataGenerator' ),
						( 'RampTestParam', 'RampCurve', 0, 1, 3,  0.5, 0.45, 3,   1, 0, 3 ),
						( 'TimeTestParam', 'time', 10 ),
						( 'ChannelSelectorTestParam', 'ChannelSelector' ),
						( 'SeparatorTestParam', 'Separator' ),
						( 'GroupTestParam', 'Group', True ),
						( 'F1', 'float', 1.0, 0.0, 3.0 ),
						)

def Evaluate( hair, time, resetSolver = False, resetHairModel = False, newInputParamsDict = None, initialStateCapture = None ):
	# Access parameters
	IntValue = inputParamsDict['IntTestParam']
	FloatValue = inputParamsDict['FloatTestParam']
	StringValue = inputParamsDict['StringTestParam']
	EnumValue = inputParamsDict['EnumTestParam']
	dataGenerator = inputParamsDict['DataGeneratorTestParam']
	rampCurve = inputParamsDict['RampTestParam']
	time = inputParamsDict['TimeTestParam']
	channelSelector = inputParamsDict['ChannelSelectorTestParam']

	return True
