

class NodeConfig():
	def __init__(self, name, config):
		self.name = name
		self._config = config

	def canBeCreated(self):
		return self._config['canCreate'] if "canCreate" in self._config else False

	def getType(self):
		return "operator" if 'type' not in self._config else self._config['type']

	def getRawConfig(self):
		return self._config

	def getIcon(self):
		return self._config['icon'] if "icon" in self._config else None

	def getOutput(self, id):
		return self._config['output'][id] if len(self._config['output']) > id else None

	def getInput(self, id):
		return self._config['input'][id] if len(self._config['input']) > id else None

	def getOutputs(self):
		return self._config['output']

	def getInputs(self):
		return self._config['input']