from Ornatrix.QtImport import *


class NodeCreationMenu(QtWidgets.QMenu):
	def __init__(self, container, pos):
		super(NodeCreationMenu, self).__init__()

		self.container = container

		nodes = container.bridge.getHostNode()
		for key, config in nodes.iteritems():
			if config.canBeCreated():
				action = QtWidgets.QAction(key, self)
				action.setData(["node",key])
				if config.getIcon():
					action.setIcon(config.getIcon())
				# action.triggered.connect(lambda key=key: self.newNode(key))
				self.addAction(action)

		action = QtWidgets.QAction("Group", self)
		action.setData(["special", "group"])
		self.addAction(action)