try:
	import maya.cmds

	Maya = 'about' in maya.cmds.__dict__
except:
	Maya = False

UsePyQt = False
OxGraphEditor = None


def newBridge(container=None):
	if Maya:
		import Bridge.MayaBridge as mb
		return mb.MayaBridge(container)
	else:
		import Bridge.EmulatedBridge as eb
		return eb.EmulatedBridge(container)
